dad trying to help son ?

ben600249

Inactive User
Joined
Mar 20, 2005
Messages
790
Reaction score
10
Location
Manchester, United Kingdom
ive just bought my lad a psp for xmas and bought it from local pc fair he downgraded it to 1.5 or something and flogged me a 2 gig memory stick and a disc with 26 games the trouble is i forgot what he said to start the psp and how to load games up etc he put a fast loader thing on and told me to transfer iso to psp and play but what buttons do i press etc can somebody please help before xmas, also he told me to get a real game to boot it up so we went out today and bought him grand thefts new one £40 i nearly dropped will he be able to play that one now its been downgraded i hope my first post has no been to picky im just panicking now for my sons sake i want him to have a good xmas. thanks
 

b3nnyb0y

Banned
Joined
Oct 11, 2005
Messages
1,804
Reaction score
2
Location
In A Far Away land
uhm well like gta liberty city stories or w/e it is needs the latest firmware to run right. so like i dont think it will run on a downgraded psp :( ill ask my mate he knows about the loaders and that and get back to u m8
 

g3o

Inactive User
Joined
Sep 25, 2004
Messages
629
Reaction score
4
yea unfortunately GTA needs firmware 2.0 and for running backups you need to keep 1.5, all ypu do is connect to your psp and copy games to the ISO folder, in iso format, If your using umdemulator .8c go to games on mem stick, you should see corrupted data and a yellow smiley face, load that up and u will see a bunch of options that u can change, if it says direct load then the game wil start right away, if it says system menu after you choose the game it spits u back to the mem stick menu, go to the umd and launch that and whatever game u have chosen will boot up, some games only work from wither menu choice so try from both.You need to have a umd in at all times using the emulator.
 

ben600249

Inactive User
Joined
Mar 20, 2005
Messages
790
Reaction score
10
Location
Manchester, United Kingdom
what games would work in a downgraded psp i need to buy one to boot up the games i put on memory does anyone have a list of games that can and cant play on a1.5 thanks for your great help :banana:
 

g3o

Inactive User
Joined
Sep 25, 2004
Messages
629
Reaction score
4
i dont think there's a list yet, but it's only the newer games, gta and onwards that need 2.0, any umd will do though, dont you have a demo disc?.
 

jay77

Member +
Joined
Sep 25, 2004
Messages
276
Reaction score
3
hay this may be of some help trying to get a demo... register on the official psp site and get a spiderman umd...look on the site you may be able to get a demo there too

here
 

babba

Inactive User
Joined
Nov 25, 2004
Messages
55
Reaction score
0
You dont really need a umd to boot up some games if you run dev hook (loader) you can run the games without a umd. some games will only run with fast loader, but even though you have gta you can use this with dev hook to run your "back up games" without upgrading the firmware. (in the options menu)

Hope this helps


If you need anymore help pm me...i'll do what i can.
 

ultemecia

The Jester
Joined
Feb 25, 2004
Messages
391
Reaction score
0
Location
close enough to kill you
hi mate sounds like your in a spot of trouble there what you can do is go onto www.yourpsp.com and registyer the psp and they will send you a nice pack with i think an up grade usd or alternatively you could regrade it to the new 2.00 version by serching tyhe internet for upgrade files or what i have found you can do is hook you psp up yo the internet then go into the pull down menu actually on the psp and you can choose upgrade
hope this helps

ulti
 
TEST
Top